package com.lantone.qc.kernel.catalogue.firstpagerecord;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.Content;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @ClassName : FIRP02904
 * @Description : 过敏药物未填写
 * @Author : 胡敬
 * @Date: 2020-06-04 16:13
 */
@Component
public class FIRP02904 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        if (inputInfo.getFirstPageRecordDoc() == null) {
            status.set("0");
            return;
        }
        if (inputInfo.getFirstPageRecordDoc().getStructureMap() != null) {
            Map<String, String> firstpageStructureMap = inputInfo.getFirstPageRecordDoc().getStructureMap();
            String drugAllergy = firstpageStructureMap.get(Content.drugAllergy);
            if (StringUtil.isBlank(drugAllergy) || "无".equals(drugAllergy)) {
                status.set("0");
                return;
            }
            String allergicDrugs = firstpageStructureMap.get(Content.allergyDrug);
            if (StringUtil.isNotEmpty(allergicDrugs)) {
                status.set("0");
            }
        }
    }
}